### Hierarchy

- NodeList

### Indexable

[index: number]: Node

## Index

### Properties

- length

### Methods

- forEach
- item

## Properties

### length

length: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10570

Returns the number of nodes in the collection.

## Methods

### forEach

- forEach(callbackfn: function, thisArg?: any): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10580

  Performs the specified action for each node in an list.

  #### Parameters

  - ##### callbackfn: function

    A function that accepts up to three arguments. forEach calls the callbackfn function one time for each element in the list.

    - - (value: Node, key: number, parent: NodeList): void

      - #### Parameters

        - ##### value: Node

        - ##### key: number

        - ##### parent: NodeList

        #### Returns void

  - ##### Optional thisArg: any

    An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value.

  #### Returns void

### item

- item(index: number): Node | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10574

  element = collection[index]

  #### Parameters

  - ##### index: number

  #### Returns Node | null

Generated using TypeDoc